Bug 185851 - Kernel OOPS on syncing with PDA
Kernel OOPS on syncing with PDA
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-19 14:58 EST by Trever Fischer
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trever Fischer 2006-03-19 14:58:38 EST
Description of problem: 
I have a palm Zire 72, and whenever I try to sync to it, my kernel generates 
an oops. 
 
 
Version-Release number of selected component (if applicable): 
Kernel 2.6.15-1.1831_FC4 and 2.6.15-1.1833_FC4 
 
How reproducible: 
Connect a PDA, then run pilot-xfer -l on the device. Do it in a tty so you can 
see the oops. 
   
Actual results: 
Mar 19 14:35:28 localhost kernel: usb 4-1: new full speed USB device using 
uhci_hcd and address 7 
Mar 19 14:35:28 localhost kernel: visor 4-1:1.0: Handspring Visor / Palm OS 
converter detected 
Mar 19 14:35:28 localhost kernel: usb 4-1: Handspring Visor / Palm OS 
converter now attached to ttyUSB0 
Mar 19 14:35:28 localhost kernel: usb 4-1: Handspring Visor / Palm OS 
converter now attached to ttyUSB1 
Mar 19 14:35:28 localhost kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 000000a4 
Mar 19 14:35:28 localhost kernel:  printing eip: 
Mar 19 14:35:28 localhost kernel: e0b17637 
Mar 19 14:35:28 localhost kernel: *pde = 0c02e067 
Mar 19 14:35:28 localhost kernel: Oops: 0000 [#1] 
Mar 19 14:35:28 localhost kernel: last sysfs 
file: /devices/pci0000:00/0000:00:10.2/usb4/4-1/4-1:1.0/bInterfaceProtocol 
Mar 19 14:35:28 localhost kernel: Modules linked in: visor usbserial autofs4 
nfs lockd nfs_acl sunrpc video button battery ac fglrx(U) sd_mod ipv6 ohci1394 
ieee1394 usb_storage scsi_mod uhci_hcd ehci_hcd i2c_viapro i2c_core 
snd_via82xx gameport snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss 
snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer 
snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore 
via_rhine mii floppy dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod 
Mar 19 14:35:28 localhost kernel: CPU:    0 
Mar 19 14:35:28 localhost kernel: EIP:    0060:[<e0b17637>]    Tainted: P      
VLI 
Mar 19 14:35:28 localhost kernel: EFLAGS: 00210246   (2.6.15-1.1831_FC4)  
Mar 19 14:35:28 localhost kernel: EIP is at serial_chars_in_buffer+0x13/0x8a 
[usbserial] 
Mar 19 14:35:28 localhost kernel: eax: 00000000   ebx: 00000000   ecx: 
00000000   edx: d80cee00 
Mar 19 14:35:28 localhost kernel: esi: 00000000   edi: c4514000   ebp: 
cc7cda80   esp: cc47beb8 
Mar 19 14:35:28 localhost kernel: ds: 007b   es: 007b   ss: 0068 
Mar 19 14:35:28 localhost kernel: Process kpilotDaemon (pid: 3519, 
threadinfo=cc47b000 task=d2521030) 
Mar 19 14:35:28 localhost kernel: Stack: badc0ded c4514000 c0227463 00000185 
c031637f c4514000 c022d590 cc7cda80  
Mar 19 14:35:28 localhost kernel:        c4514000 c022d4c5 00000000 c022982d 
00000000 c451400c cc7cda80 00000800  
Mar 19 14:35:29 localhost kernel:        0000000b 00000015 c016ce1e cc47bfa4 
cc47bf8c 00000000 0000000f 00000000  
Mar 19 14:35:29 localhost kernel: Call Trace: 
Mar 19 14:35:29 localhost kernel:  [<c0227463>] tty_ldisc_ref_wait+0xc/0xa8     
[<c031637f>] schedule_timeout+0x96/0xd9 
Mar 19 14:35:29 localhost kernel:  [<c022d590>] normal_poll+0xcb/0x125     
[<c022d4c5>] normal_poll+0x0/0x125 
Mar 19 14:35:29 localhost kernel:  [<c022982d>] tty_poll+0x4f/0x64     
[<c016ce1e>] do_select+0x176/0x302 
Mar 19 14:35:29 localhost kernel:  [<c016cb11>] __pollwait+0x0/0x96     
[<c016d1aa>] sys_select+0x1e8/0x391 
Mar 19 14:35:29 localhost kernel:  [<c0106edd>] do_syscall_trace+0x1ac/0x1c4     
[<c0102e75>] syscall_call+0x7/0xb 
Mar 19 14:35:29 localhost kernel: Code: b1 e0 c7 04 24 47 a4 b1 e0 e8 d5 5e 60 
df b8 ea ff ff ff 83 c4 10 5b c3 53 83 ec 10 8b 98 b4 09 00 00 a1 84 e3 b1 e0 
85 c0 75 1c <8b> 8b a4 00 00 00 85 c9 74 38 8b 03 8b 50 04 89 d8 ff 92 08 01
Comment 1 Dave Jones 2006-09-16 23:05:01 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 20:13:03 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 17:54:14 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.